@echo off

set BGBILLING_DIR=.
set CLASSPATH=%BGBILLING_DIR%;%BGBILLING_DIR%\lib\*

if not exist %BGBILLING_DIR%\lib.update goto m0

copy %BGBILLING_DIR%\lib.update\* %BGBILLING_DIR%\lib
rmdir /q /s %BGBILLING_DIR%\lib.update

:m0
if exist %BGBILLING_DIR%\lib\endorsed goto m1

mkdir %BGBILLING_DIR%\lib\endorsed
copy %BGBILLING_DIR%\lib\jaxws-api.jar %BGBILLING_DIR%\lib\endorsed

:m1
java -Djava.endorsed.dirs=.\lib\endorsed -Dupdate.folder=%BGBILLING_DIR%\lib.update -Djavax.net.ssl.trustStore=.keystore -Dsun.net.client.defaultConnectTimeout=1000 -Dbgbilling.transfer.debug=true -Xmx256m -Duser.language=ru -Duser.region=RU -cp %CLASSPATH% bitel.billing.ShellFrame >log 2>&1
